/****************************************************************************
 * @(#) Ndless - OS Table (CAS 1.2.2344)
 *
 * Copyright (C) 2010 by ANNEHEIM Geoffrey and ARMAND Olivier
 * Contact: geoffrey.anneheim@gmail.com / olivier.calc@gmail.com
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * RCSID $Id$
 ****************************************************************************/

#ifndef _OS_CALLS_H_
#define _OS_CALLS_H_

#define TCT_Local_Control_Interrupts_  0x10193e18
#define memset_                        0x101d2d34
#define memchr_                        0x101d2b00
#define memcpy_                        0x101d2b7c
#define memcmp_                        0x101d2b3c
#define unlink_                        0x101d7318
#define rename_                        0x101d6c4c
#define fopen_                         0x101d1b34
#define fread_                         0x101d1c70
#define fwrite_                        0x101d2024
#define fclose_                        0x101d152c
#define fgets_                         0x101d188c
#define fgetc_                         0x101d17e8
#define malloc_                        0x101ce4c8
#define free_                          0x101ce4bc
#define stat_                          0x101d703c
#define create_path_filename_          0x10006378
#define printf_                        0x101cf6dc
#define sprintf_                       0x101cf79c
#define fprintf_                       0x1010be9c
#define mkdir_                         0x101d55d4
#define rmdir_                         0x101d6ea0
#define set_current_path_              0x101d470c
#define purge_directory_               0x10051e30
#define power_off_                     0x100511d4
#define ascii2utf16_                   0x1010e61c
#define show_dialog_box_               0x1001469c
#define show_dialog_box2_              0x100144dc
#define log_rs232_                     0x00000000
#define log_rs232_param2_              0x00000000
#define read_nand_                     0x101a7fdc
#define NU_Get_First_                  0x101d8508
#define NU_Get_Next_                   0x101d85a0
#define NU_Done_                       0x101d8618
#define NU_Set_Current_Dir_            0x101d8ad0 
#define NU_Current_Dir_                0x101d8bb0
#define read_unaligned_longword_       0x1012d1b8
#define read_unaligned_word_           0x1012d1d8
#define strcpy_                        0x101d4068
#define flash_erase_range_             0x101A7F88

#define stdin  ((FILE *)0x10671020)
#define stdout ((FILE *)0x1067106c)
#define stderr ((FILE *)0x106710B8)

#endif
